org.apache.maven.artifact.handler

## Interface ArtifactHandler

- All Known Implementing Classes:
    DefaultArtifactHandler

      public interface ArtifactHandler

  Version:
    $Id: ArtifactHandler.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Jason van Zyl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassifier()`
    `java.lang.String` | `getDirectory()`
    `java.lang.String` | `getExtension()`
    `java.lang.String` | `getLanguage()`
    `java.lang.String` | `getPackaging()`
    `boolean` | `isAddedToClasspath()`
    `boolean` | `isIncludesDependencies()`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### getExtension

          java.lang.String getExtension()

    - #### getDirectory

          java.lang.String getDirectory()

    - #### getClassifier

          java.lang.String getClassifier()

    - #### getPackaging

          java.lang.String getPackaging()

    - #### isIncludesDependencies

          boolean isIncludesDependencies()

    - #### getLanguage

          java.lang.String getLanguage()

    - #### isAddedToClasspath

          boolean isAddedToClasspath()